v4.0

get

/ec-codelist-svc/rest/v4.0/codelist/values/{fieldName}

Get codelist values by code name, tag, or id. You can optionally scope the request to a study or group and choose current/history data.

Request

Path Parameters
  • Required. Field value used to identify codelist values. This can be a code name, tag name, codelist UUID, or site UUID depending on the type parameter.
    Example:
    AESEV
Query Parameters
  • Optional. Indicates whether hidden fields should be returned. Allowed values are true and false.
    Example:
    true
  • Optional. Data type to return. Allowed values are current and history. Default is current.
    Allowed Values: [ "current", "history" ]
    Example:
    current
  • Optional. Unique identifier (UUID, 32-character uppercase hexadecimal string) of the codelist group.
    Example:
    B1B8327AFAA6412287106192AB5984EF
  • Optional. Indicates whether hidden code values should be returned. Allowed values are true and false. Default is false.
    Default Value: true
    Example:
    false
  • Optional. Indicates whether hierarchical code values should be returned. Allowed values are true and false.
    Example:
    false
  • Optional. Language code for returned codelist labels. This value overrides the user preference and is case-sensitive, for example en or ja. Default is en.
    Example:
    en
  • Required. Study mode used to scope the codelist request. Allowed values are active, test, and training.
    Example:
    test
  • Required. Study identifier used to scope the codelist request. Use a UUID represented as a 32-character uppercase hexadecimal string.
    Example:
    B1B8327AFAA6412287106192AB5984EF
  • Optional. Field type used to interpret the path value. Allowed values are code, tag, ID, and siteId. Default is code.
    Allowed Values: [ "code", "tag", "id", "siteId" ]
    Example:
    code

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Success
Body ()
Root Schema : BaseCodeListDtoV1.0
Type: object
Title: BaseCodeListDtoV1.0
Codelist response payload containing the codelist definition and values.
Show Source
Nested Schema : code
Type: object
Codelist definition.
Example:
{
    "id":"D1D8327AFAA6412287106192AB5984EF",
    "codeName":"AE_SEVERITY",
    "codeType":"String",
    "codeLevel":"SYSTEM"
}
Nested Schema : values
Type: array
Codelist values.
Show Source
Example:
[
    {
        "id":"56B7D39029424986ADC86DC4B976DD5E",
        "codeValue":"MILD",
        "codeLabel":"Mild",
        "sequence":1,
        "locale":"en-US"
    }
]
Nested Schema : items
Type: object
Codelist values.
Example:
[
    {
        "id":"56B7D39029424986ADC86DC4B976DD5E",
        "codeValue":"MILD",
        "codeLabel":"Mild",
        "sequence":1,
        "locale":"en-US"
    }
]
Examples

400 Response

Missing required field (codeName).
Body ()
Root Schema : CodeListResponseV1.0
Type: object
Title: CodeListResponseV1.0
Standard codelist service response envelope.
Show Source
Nested Schema : ErrorResponseData
Type: object
Title: ErrorResponseData
Error Response Details Information
Show Source
  • Object
    Title: Object
    Object with error details information.
  • Error code which is stored in ErrorCode enum. Example : C1-003
    Example: C1-003
  • Error message which is stored in service property file. Example : Cannot modify object after a study version has been approved
    Example: Cannot modify object after a study version has been approved
Nested Schema : result
Type: object
Response result.
Example:
{
}
Nested Schema : Object
Type: object
Title: Object
Object with error details information.
Example:
{
    "field":"studyId",
    "reason":"Invalid value"
}
Examples

500 Response

Internal server error
Body ()
Root Schema : CodeListResponseV1.0
Type: object
Title: CodeListResponseV1.0
Standard codelist service response envelope.
Show Source
Nested Schema : ErrorResponseData
Type: object
Title: ErrorResponseData
Error Response Details Information
Show Source
  • Object
    Title: Object
    Object with error details information.
  • Error code which is stored in ErrorCode enum. Example : C1-003
    Example: C1-003
  • Error message which is stored in service property file. Example : Cannot modify object after a study version has been approved
    Example: Cannot modify object after a study version has been approved
Nested Schema : result
Type: object
Response result.
Example:
{
}
Nested Schema : Object
Type: object
Title: Object
Object with error details information.
Example:
{
    "field":"studyId",
    "reason":"Invalid value"
}
Examples

Back to Top